#include <bits/stdc++.h>
using namespace std;
int N; int L;
int main() {
   cin>>N; int L;
   int p=0;
   for(int i=0;i<N;i++){
       int x; cin>>x; 
       if(L>x){
           p++;
       }
       else{
           
           break;}
       
   }
   if(p==0){
       cout<<-1;
   }
   else{cout<<p+1;}
   
   

    return 0;
}